View Issue Details

IDProjectCategoryView StatusLast Update
0001222FreeCADBugpublic2013-09-25 13:17
Reporteroghamthebold Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001222: \Raytracing\Templates\ install folder missing - file ProjectStd.pov missing - Povray error StdFinish undefined
DescriptionWindows

When Raytracing - Povray gives error and no raytrace rendered.

Folder exists; C:\Program Files (x86)\FreeCAD0.13\data\Mod\

But sub folders missing; .\Raytracing\Templates\

Hence file ProjectStd.pov is missing (which defines StdFinish) hence Povray error.

Additional InformationLikely cause - msi does not create empty folders. So file ProjectStd.pov must be missing from msi project.

Minor: If people know Povray.

Major: If people don't know Povray and just want a render.

Workaround: (a) Create folders C:\Program Files (x86)\FreeCAD0.13\data\Mod\Raytracing\Templates (b) In folder create file ProjectStd.pov containing minimum;

  #declare StdFinish = finish { diffuse 0.2 specular 0.6 }

Proficient Povray users can add their own sky_shere, floor plane, background planes, etc. (as is already defined in ProjectStd.pov)
TagsNo tags attached.

Activities

yorik

2013-09-21 14:16

administrator   ~0003610

The pov templates are indeed not included with the MSI installer and should be added to WindowsInstaller/FreeCADData.wxs.

J├╝rgen or Werner, if any of you reads this, is it sufficient to simply add needed stuff there? How do you generate the UID?

wmayer

2013-09-25 13:17

administrator   ~0003663

Under Windows there is a utility "uuidgen.exe" which gets installed with Visual Studio I guess.

wmayer

2013-09-25 13:17

administrator   ~0003664

git show e55ccd0

Issue History

Date Modified Username Field Change
2013-08-18 13:05 oghamthebold New Issue
2013-09-21 14:16 yorik Note Added: 0003610
2013-09-25 13:17 wmayer Note Added: 0003663
2013-09-25 13:17 wmayer Note Added: 0003664
2013-09-25 13:17 wmayer Status new => closed
2013-09-25 13:17 wmayer Resolution open => fixed
2013-09-25 13:17 wmayer Fixed in Version => 0.14